<?php 

/* Hooks */

function glamix_activate() {
	add_option(GLAMIX_IG_AUTH_OPTION, '');
	add_option(GLAMIX_IG_USERNAME_OPTION, '');
	add_option(GLAMIX_IG_USERID_OPTION, '');
}

function glamix_deactivate() {
	
}

function glamix_uninstall() {
	
}

function glamix_getsettings(){
	$settings = array(
		'glamix_access_token' => array('name' => 'glamix_access_token','sanitize_type'=>'text', 'required' =>'required','input_size'=>'55','type'=>'input','readonly'=>'readonly','default'=>'','field_or_not'=>'field','section'=>'glamix_configure_section','title'=>'Instagram Access Token'),
		'glamix_user_name' => array('name' => 'glamix_user_name','sanitize_type'=>'text','required' =>'required','type'=>'input','section'=>'glamix_configure_section','readonly'=>'readonly','field_or_not'=>'field','default'=>'','title'=>'Instagram Username'),
		'glamix_user_id' => array('name' => 'glamix_user_id','sanitize_type'=>'text','type'=>'input','section'=>'glamix_configure_section','readonly'=>'readonly','default'=>'','field_or_not'=>'no_field'),
	);
	return $settings;
}

function glamix_admin_setting_field_callback($element) {
  $setting = $element[0];
  switch($setting['type'])
  {
    case 'input':{
		$option_name = $setting['name'];
		$value = get_option($option_name);
		?>
		<input id='<?php echo $setting["name"]?>' type='text' value='<?php echo $value ?>' readonly="readonly"/>
		<?php
      break;
    }
  }
}

?>
